Mensaje interactivo (CTA)
curl --request POST \
--url https://whatsapp.heybot.cloud/api/v2/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": 123,
"type": "<string>",
"interactive": {
"type": "<string>",
"body": {
"text": "<string>"
},
"action": {
"name": "<string>",
"parameters": {
"display_text": "<string>",
"url": "<string>"
}
},
"footer": {
"text": "<string>"
}
}
}
'import requests
url = "https://whatsapp.heybot.cloud/api/v2/message"
payload = {
"to": 123,
"type": "<string>",
"interactive": {
"type": "<string>",
"body": { "text": "<string>" },
"action": {
"name": "<string>",
"parameters": {
"display_text": "<string>",
"url": "<string>"
}
},
"footer": { "text": "<string>" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: 123,
type: '<string>',
interactive: {
type: '<string>',
body: JSON.stringify({text: '<string>'}),
action: {name: '<string>', parameters: {display_text: '<string>', url: '<string>'}},
footer: {text: '<string>'}
}
})
};
fetch('https://whatsapp.heybot.cloud/api/v2/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Envío de mensajes
Mensaje interactivo (CTA)
POST
/
api
/
v2
/
message
Mensaje interactivo (CTA)
Mensajes con botón con URL de llamada a la acción interactivo
Con estos mensajes de botón URL de llamada a la acción, puedes asignar cualquier URL a un botón, de modo que no tengas que incluir toda la URL en el cuerpo del mensaje.
integer
default:5219876543210
required
Número de WhatsApp del destinatario en formato internacional, sin símbolos ni espacios.
string
required
Tipo de mensaje a enviar. Para este endpoint debe ser
interactive.object
required
The interactive message payload configuration.
string
default:"interactive"
required
The overall type of message being sent.
Hide interactive properties
Hide interactive properties
string
default:"cta_url"
required
The specific type of interactive message you are sending.
object
required
Show properties
Show properties
string
required
- Obligatorio. Texto del cuerpo. Las URL incluyen hipervínculos de forma automática.
- No debe superar los 1.024 caracteres.
object
required
The action configuration for the button.
Show action properties
Show action properties
string
default:"cta_url"
required
cta_url
object
required
Show button parameters
Show button parameters
Ejemplo
{
"to": 5219876543210,
"type": "text",
"text": {
"body": "¡Hola mundo!"
}
}